
// Farbtabelle
var colorObj = {
	// G7
	usa:			'#e1007b',	// Magenta	100 %
	frankreich:		'#f07fbd',	// Magenta	 50 %
	deutschland:	'#00a0de',	// Cyan		100 %
	italien:		'#7fcfee',	// Cyan		 50 %
	japan:			'#ffd531',	// Yellow	100 %
	kanada:			'#ffea98',	// Yellow	 50 %
	uk:				'#00ab97',	// Green	100 %
	G7:				'#7fd5cb',	// Green	 50 %
	// BRICS
	russland:		'#e1007b',	// Magenta	100 %
	indien:			'#00a0de',	// Cyan		100 %
	suedafrika:		'#7fcfee',	// Cyan		 50 %
	china:			'#ffd531',	// Yellow	100 %
	brasilien:		'#00ab97'	// Green	100 %
};

/**
Excel-Spalten Zuordnungstabelle:
  A |  B |  C |  D |  E |  F |  G |  H |  I |  J |  K |  L |  M |  N |  O |  P |  Q |  R |  S |  T |  U |  V |  W |  X |  Y |  Z |
  0 |  1 |  2 |  3 |  4 |  5 |  6 |  7 |  8 |  9 | 10 | 11 | 12 | 13 | 14 | 15 | 16 | 17 | 18 | 19 | 20 | 21 | 22 | 23 | 24 | 25 |
  
 AA | AB | AC | AD | AE | AF | AG | AH | AI | AJ | AK | AL | AM | AN | AO | AP | AQ | AR | AS | AT | AU | AV | AW | AX | AY | AZ |
 26 | 27 | 28 | 29 | 30 | 31 | 32 | 33 | 34 | 35 | 36 | 37 | 38 | 39 | 40 | 41 | 42 | 43 | 44 | 45 | 46 | 47 | 48 | 49 | 50 | 51 |
 
 BA | BB | BC | BD | BE | BF | BG | BH | BI | BJ | BK | BL | BM | BN | BO | BP | BQ | BR | BS | BT | BU | BV | BW | BX | BY | BZ |
 52 | 53 | 54 | 55 | 56 | 57 | 58 | 59 | 60 | 61 | 62 | 63 | 64 | 65 | 66 | 67 | 68 | 69 | 70 | 71 | 72 | 73 | 74 | 75 | 76 | 77 |

var config = {
	diagrams: [
		// 1
		{
			title: "Bruttoinlandsprodukt in den EU-Staaten seit Vollendung des EU-Binnenmarktes (1993-2016)",
			column_xAxis: 0, // Spalten-Nr. A
			label_xAxis: "Jahr",
			label_yAxis: "US-Dollar in Billionen",
			unitScaleFactor: 1/1000000000000,			// [optional] default: 1, Skalierungfaktor für die Y-Werte, auch als Divisor verwendbar (z.B. für dia Angabe in Tausend 1/1000)
			yAxis_numberOfDigitsAfterDecimalPoint: 2,	// [optional] default: 0, Anzahl der Dezimalstellen
			ml_htmlLegend_numberOfColumns: 2,			// [optional] default: 1, HTMLLegende kann mehrspaltig angezeigt werden
			ml_htmlLegend_numberOfColumns_rwd: {'xs':1, 'sm':2, 'md':3, 'lg':4},			// [optional], HTMLLegende mehrspaltig (RWD) abhängig von viewport-Größe
			rangeSlider_hidden: true,					// [optional] default: false, Range-Slider zeigen/verstecken
			ml_tooltip_legendTitlePosition: 'none',		// [optional] default: 'none', Position des Legenden-Titels im Tooltip. Werte: 'none', 'head', 'body'
			ml_tooltip_legendTitleSuffix: ': ',			// [optional] default: '<br>', Markup oder Text, der hinter den Legenden-Titel angefügt wird
			ml_tooltip_valueSuffix: '&nbsp;%',			// [optional] default: '', Markup oder Text, der hinter den y-Wert angefügt wird
			ml_tooltip_mode: 'index',					// [optional] default: 'nearest', Die Art wie Werte im Tooltip angezeigt werden. 'index': alle y-Werte aller sichtbaren datasets
														// siehe http://www.chartjs.org/docs/latest/general/interactions/modes.html
			ml_tooltip_widthScaleFactor_rwd: {'xs':0.5, 'sm':0.5, 'md':0.33, 'lg':0.33},	// [optional], Skalierungsfaktor für die Tooltip-Breite in Bezug auf den Chart-Container (panel)
			ml_yAxis_dynamicScaling: false,				// [optional] default: false, Y-Achsen-Skala wird dynamisch verändert, je nach Werten
			ml_yAxis_maxValue: undefined,				// [optional] default: undefined, @type:number, Y-Achse: Maximal-Wert
			ml_xAxis_autoSkip: true,					// [optional] default: true, X-Achsen-Skala wird dynamisch verändert bzw. werden Werte ausgelassen, je nachdem wieviel Platz zur Verfügung steht (@since 1.4.0)
			charts: [
				{
					// Belgien
					type: "line", // Werte: "line" || "bar"
					column_yValues: 1, // Spalten-Nr. B
					hidden: false
				},
				{
					// Deutschland
					type: "line", // Werte: "line" || "bar"
					column_yValues: 2, // Spalten-Nr. C
					hidden: true
				}
			]
		}
	],
	colors: [														// es müssen mindestenst so viele Farbwerte angegeben werden, wie die max. Anzahl charts, die in einem Diagramm dargestellt werden sollen
		{
			backgroundColor:	'#feff41', 
			borderColor:		'#feff41'
		},
		{
			backgroundColor:	'#fed22b', 
			borderColor:		'#fed22b'
		},
		{
			backgroundColor:	'#fea817', 
			borderColor:		'#fea817'
		}
	],
	watchmode: 'single'												// [optional] Werte: 'compare' (default) || 'single'
	watchmode_resetOnToggle: false,									// [optional] Werte: true (default) || false, setzt alle SelectionMenues zurück, wenn zwischen den Anzeige-Modi ("single" und "compare") umgeschaltet wird
	watchmode_openFirstAvailableChartOnCompareMode: true,			// [optional] Werte: true || false (default), öffnet bei Wahl des Vergleichsmodus automatisch die nächste zur Verfügung stehende Chart im 2. Select-Menü (watchmode_resetOnToggle muss false sein!)
	ml_pointRadius_rwd: {'xs':2, 'sm':3, 'md':4, 'lg':5},			// [optional] Punktradius bei Linien-Diagrammen (RWD),
	ml_label_fontStyle: 'normal',									// [optional] default: 'normal', @type:string, Schrift-Stil der Achsen-Beschriftung. Werte: 'normal', 'bold', 'italic', 'oblique'
	ml_label_fontSize: undefined									// [optional] default: undefined, @type:number, Schriftgröße der Achsen-Beschriftung
};
*/
var config = {
	diagrams: [
		// 1
		{
			title: "Bruttoinlandsprodukt der BRICS-Staaten",
			column_xAxis: 0, // Spalten-Nr. A
			label_xAxis: "Jahr",
			label_yAxis: "US$ in Mrd.",
			unitScaleFactor: 1, // default: 1
			yAxis_numberOfDigitsAfterDecimalPoint: 0,
			//ml_htmlLegend_numberOfColumns: 3,
			ml_htmlLegend_numberOfColumns_rwd: {'xs':2, 'sm':2, 'md':3, 'lg':4},
			ml_tooltip_legendTitlePosition: 'body',
			ml_tooltip_legendTitleSuffix: ': ',
			ml_tooltip_valueSuffix: '&nbsp;Mrd.&nbsp;US$',
			ml_tooltip_widthScaleFactor_rwd: {'xs':0.55, 'sm':0.55, 'md':0.40, 'lg':0.40},
			ml_yAxis_dynamicScaling: true,
			rangeSlider_hidden: true,
			charts: [
				// hier greifen die unten definierten Standard-Farben (1 - 10)
				{
					// China
					type: "bar", // Werte: "line" || "bar"
					column_yValues: 1, // Spalten-Nr. A
					hidden: false,
					column_tooltips: 2, // Spalten-Nr. B Tooltip
					backgroundColor: colorObj.china,
					borderColor:	 colorObj.china
				},
				{
					// Indien
					type: "bar", // Werte: "line" || "bar"
					column_yValues: 3, // Spalten-Nr. C
					hidden: false,
					column_tooltips: 4, // Spalten-Nr. D Tooltip
					backgroundColor: colorObj.indien,
					borderColor:	 colorObj.indien
				},
				{
					// Brasilien
					type: "bar", // Werte: "line" || "bar"
					column_yValues: 5, // Spalten-Nr. D
					hidden: false,
					column_tooltips: 6, // Spalten-Nr. E Tooltip
					backgroundColor: colorObj.brasilien,
					borderColor:	 colorObj.brasilien
				},
				{
					// Russische Föderation
					type: "bar", // Werte: "line" || "bar"
					column_yValues: 7, // Spalten-Nr. F
					hidden: false,
					column_tooltips: 8, // Spalten-Nr. G Tooltip
					backgroundColor: colorObj.russland,
					borderColor:	 colorObj.russland
				},
				{
					// Südafrika
					type: "bar", // Werte: "line" || "bar"
					column_yValues: 9, // Spalten-Nr. H
					hidden: false,
					column_tooltips: 10, // Spalten-Nr. I Tooltip
					backgroundColor: colorObj.suedafrika,
					borderColor:	 colorObj.suedafrika
				}
			]
		},
		// 2
		{
			title: "Bruttoinlandsprodukt der G7",
			column_xAxis: 0, // Spalten-Nr. A
			label_xAxis: "Jahr",
			label_yAxis: "US$ in Mrd.",
			unitScaleFactor: 1, // default: 1
			yAxis_numberOfDigitsAfterDecimalPoint: 0,
			//ml_htmlLegend_numberOfColumns: 3,
			ml_htmlLegend_numberOfColumns_rwd: {'xs':2, 'sm':2, 'md':3, 'lg':4},
			ml_tooltip_legendTitlePosition: 'body',
			ml_tooltip_legendTitleSuffix: ': ',
			ml_tooltip_valueSuffix: '&nbsp;Mrd.&nbsp;US$',
			ml_tooltip_widthScaleFactor_rwd: {'xs':0.55, 'sm':0.55, 'md':0.40, 'lg':0.40},
			ml_yAxis_dynamicScaling: true,
			rangeSlider_hidden: true,
			charts: [
				{
					// USA
					type: "bar", // Werte: "line" || "bar"
					column_yValues: 11, // Spalten-Nr. L
					hidden: false,
					column_tooltips: 12, // Spalten-Nr. M Tooltip
					backgroundColor: colorObj.usa,
					borderColor:	 colorObj.usa
				},
				{
					// Deutschland
					type: "bar", // Werte: "line" || "bar"
					column_yValues: 13, // Spalten-Nr. N
					hidden: false,
					column_tooltips: 14, // Spalten-Nr. O Tooltip
					backgroundColor: colorObj.deutschland,
					borderColor:	 colorObj.deutschland
				},
				{
					// Japan
					type: "bar", // Werte: "line" || "bar"
					column_yValues: 15, // Spalten-Nr. P
					hidden: false,
					column_tooltips: 16, // Spalten-Nr. Q Tooltip
					backgroundColor: colorObj.japan,
					borderColor:	 colorObj.japan
				},
				{
					// UK
					type: "bar", // Werte: "line" || "bar"
					column_yValues: 17, // Spalten-Nr. R
					hidden: false,
					column_tooltips: 18, // Spalten-Nr. S Tooltip
					backgroundColor: colorObj.uk,
					borderColor:	 colorObj.uk
				},
				{
					// Frankreich
					type: "bar", // Werte: "line" || "bar"
					column_yValues: 19, // Spalten-Nr. T
					hidden: false,
					column_tooltips: 20, // Spalten-Nr. U Tooltip
					backgroundColor: colorObj.frankreich,
					borderColor:	 colorObj.frankreich
				},
				{
					// Italien
					type: "bar", // Werte: "line" || "bar"
					column_yValues: 21, // Spalten-Nr. V
					hidden: false,
					column_tooltips: 22, // Spalten-Nr. W Tooltip
					backgroundColor: colorObj.italien,
					borderColor:	 colorObj.italien
				},
				{
					// Kanada
					type: "bar", // Werte: "line" || "bar"
					column_yValues: 23, // Spalten-Nr. X
					hidden: false,
					column_tooltips: 24, // Spalten-Nr. Y Tooltip
					backgroundColor: colorObj.kanada,
					borderColor:	 colorObj.kanada
				},
				{
					// G7
					type: "bar", // Werte: "line" || "bar"
					column_yValues: 25, // Spalten-Nr. Z
					hidden: false,
					backgroundColor: colorObj.G7,
					borderColor:	 colorObj.G7
				}
			]
		},
		// 3
		{
			title: "Außenhandelsbilanz der BRICS-Staaten 2023 in Mrd. US-Dollar",
			column_xAxis: 26, // Spalten-Nr. AA
			label_xAxis: "Jahr",
			label_yAxis: "US$ in Mrd.",
			unitScaleFactor: 1, // default: 1
			yAxis_numberOfDigitsAfterDecimalPoint: 1,
			//ml_htmlLegend_numberOfColumns: 3,
			ml_htmlLegend_numberOfColumns_rwd: {'xs':2, 'sm':2, 'md':3, 'lg':4},
			ml_tooltip_legendTitlePosition: 'body',
			ml_tooltip_legendTitleSuffix: ': ',
			ml_tooltip_valueSuffix: '&nbsp;Mrd.&nbsp;$',
			ml_tooltip_widthScaleFactor_rwd: {'xs':0.55, 'sm':0.55, 'md':0.40, 'lg':0.40},
			ml_yAxis_dynamicScaling: true,
			rangeSlider_hidden: true,
			charts: [
				{
					// Indien
					type: "bar", // Werte: "line" || "bar"
					column_yValues: 27, // Spalten-Nr. AB
					hidden: false,
					backgroundColor: colorObj.indien,
					borderColor:	 colorObj.indien
				},
				{
					// Südafrika
					type: "bar", // Werte: "line" || "bar"
					column_yValues: 28, // Spalten-Nr. AC
					hidden: false,
					backgroundColor: colorObj.suedafrika,
					borderColor:	 colorObj.suedafrika
				},
				{
					// Brasilien
					type: "bar", // Werte: "line" || "bar"
					column_yValues: 29, // Spalten-Nr. AD
					hidden: false,
					backgroundColor: colorObj.brasilien,
					borderColor:	 colorObj.brasilien
				},
				{
					// Russland
					type: "bar", // Werte: "line" || "bar"
					column_yValues: 30, // Spalten-Nr. AE
					hidden: false,
					backgroundColor: colorObj.russland,
					borderColor:	 colorObj.russland
				},
				{
					// China
					type: "bar", // Werte: "line" || "bar"
					column_yValues: 31, // Spalten-Nr. AF
					hidden: false,
					backgroundColor: colorObj.china,
					borderColor:	 colorObj.china
				}
			]
		},
		// 4
		{
			title: "Außenhandelsbilanz der G7 2023 in Mrd. US-Dollar",
			column_xAxis: 26, // Spalten-Nr. AA
			label_xAxis: "Jahr",
			label_yAxis: "US$ in Mrd.",
			unitScaleFactor: 1, // default: 1
			yAxis_numberOfDigitsAfterDecimalPoint: 1,
			//ml_htmlLegend_numberOfColumns: 3,
			ml_htmlLegend_numberOfColumns_rwd: {'xs':2, 'sm':2, 'md':3, 'lg':4},
			ml_tooltip_legendTitlePosition: 'body',
			ml_tooltip_legendTitleSuffix: ': ',
			ml_tooltip_valueSuffix: '&nbsp;Mrd.&nbsp;$',
			ml_tooltip_widthScaleFactor_rwd: {'xs':0.55, 'sm':0.55, 'md':0.40, 'lg':0.40},
			ml_yAxis_dynamicScaling: true,
			rangeSlider_hidden: true,
			charts: [
				{
					// Deutschland
					type: "bar", // Werte: "line" || "bar"
					column_yValues: 32, // Spalten-Nr. AG
					hidden: false,
					backgroundColor: colorObj.deutschland,
					borderColor:	 colorObj.deutschland
				},
				{
					// Italien
					type: "bar", // Werte: "line" || "bar"
					column_yValues: 33, // Spalten-Nr. AH
					hidden: false,
					backgroundColor: colorObj.italien,
					borderColor:	 colorObj.italien
				},
				{
					// Kanada
					type: "bar", // Werte: "line" || "bar"
					column_yValues: 34, // Spalten-Nr. AI
					hidden: false,
					backgroundColor: colorObj.kanada,
					borderColor:	 colorObj.kanada
				},
				{
					// Japan
					type: "bar", // Werte: "line" || "bar"
					column_yValues: 35, // Spalten-Nr. AJ
					hidden: false,
					backgroundColor: colorObj.japan,
					borderColor:	 colorObj.japan
				},
				{
					// Frankreich
					type: "bar", // Werte: "line" || "bar"
					column_yValues: 36, // Spalten-Nr. AK
					hidden: false,
					backgroundColor: colorObj.frankreich,
					borderColor:	 colorObj.frankreich
				},
				{
					// UK
					type: "bar", // Werte: "line" || "bar"
					column_yValues: 37, // Spalten-Nr. AL
					hidden: false,
					backgroundColor: colorObj.uk,
					borderColor:	 colorObj.uk
				},
				{
					// USA
					type: "bar", // Werte: "line" || "bar"
					column_yValues: 38, // Spalten-Nr. AM
					hidden: false,
					backgroundColor: colorObj.usa,
					borderColor:	 colorObj.usa
				}
			]
		},
		// 5
		{
			title: "Bevölkerungszahlen der BRICS-Staaten",
			column_xAxis: 39, // Spalten-Nr. AN
			label_xAxis: "Jahr",
			label_yAxis: "Bevölkerungszahl in Mio.",
			unitScaleFactor: 1/1000000, // default: 1
			yAxis_numberOfDigitsAfterDecimalPoint: 0,
			//ml_htmlLegend_numberOfColumns: 3,
			ml_htmlLegend_numberOfColumns_rwd: {'xs':2, 'sm':2, 'md':3, 'lg':4},
			ml_tooltip_legendTitlePosition: 'body',
			ml_tooltip_legendTitleSuffix: ': ',
			ml_tooltip_valueSuffix: '&nbsp;Mio.',
			ml_tooltip_widthScaleFactor_rwd: {'xs':0.55, 'sm':0.55, 'md':0.40, 'lg':0.40},
			ml_yAxis_dynamicScaling: false,
			rangeSlider_hidden: true,
			charts: [
				{
					// China
					type: "bar", // Werte: "line" || "bar"
					column_yValues: 40, // Spalten-Nr. AO
					hidden: false,
					column_tooltips: 41, // Spalten-Nr. AP Tooltip
					backgroundColor: colorObj.china,
					borderColor:	 colorObj.china
				},
				{
					// Brasilien
					type: "bar", // Werte: "line" || "bar"
					column_yValues: 42, // Spalten-Nr. AQ
					hidden: false,
					backgroundColor: colorObj.brasilien,
					borderColor:	 colorObj.brasilien
				},
				{
					// Indien
					type: "bar", // Werte: "line" || "bar"
					column_yValues: 43, // Spalten-Nr. AR
					hidden: false,
					column_tooltips: 44, // Spalten-Nr. AS Tooltip
					backgroundColor: colorObj.indien,
					borderColor:	 colorObj.indien
				},
				{
					// Russland
					type: "bar", // Werte: "line" || "bar"
					column_yValues: 45, // Spalten-Nr. AT
					hidden: false,
					backgroundColor: colorObj.russland,
					borderColor:	 colorObj.russland
				},
				{
					// Südafrika
					type: "bar", // Werte: "line" || "bar"
					column_yValues: 46, // Spalten-Nr. AU
					hidden: false,
					backgroundColor: colorObj.suedafrika,
					borderColor:	 colorObj.suedafrika
				}
			]
		},
		{ // 6
			title: "Bevölkerungszahlen der G7-Staaten",
			column_xAxis: 39, // Spalten-Nr. AN
			label_xAxis: "Jahr",
			label_yAxis: "Bevölkerungszahl in Mio.",
			unitScaleFactor: 1/1000000, // default: 1
			yAxis_numberOfDigitsAfterDecimalPoint: 0,
			//ml_htmlLegend_numberOfColumns: 3,
			ml_htmlLegend_numberOfColumns_rwd: {'xs':2, 'sm':2, 'md':3, 'lg':4},
			ml_tooltip_legendTitlePosition: 'body',
			ml_tooltip_legendTitleSuffix: ': ',
			ml_tooltip_valueSuffix: '&nbsp;Mio.',
			ml_tooltip_widthScaleFactor_rwd: {'xs':0.55, 'sm':0.55, 'md':0.40, 'lg':0.40},
			ml_yAxis_dynamicScaling: false,
			rangeSlider_hidden: true,
			charts: [
				{
					// Deutschland
					type: "bar", // Werte: "line" || "bar"
					column_yValues: 47, // Spalten-Nr. AV
					hidden: false,
					backgroundColor: colorObj.deutschland,
					borderColor:	 colorObj.deutschland
				},
				{
					// Frankreich
					type: "bar", // Werte: "line" || "bar"
					column_yValues: 48, // Spalten-Nr. AW
					hidden: false,
					backgroundColor: colorObj.frankreich,
					borderColor:	 colorObj.frankreich
				},
				{
					// UK
					type: "bar", // Werte: "line" || "bar"
					column_yValues: 49, // Spalten-Nr. AX
					hidden: false,
					backgroundColor: colorObj.uk,
					borderColor:	 colorObj.uk
				},
				{
					// Italien
					type: "bar", // Werte: "line" || "bar"
					column_yValues: 50, // Spalten-Nr. AY
					hidden: false,
					backgroundColor: colorObj.italien,
					borderColor:	 colorObj.italien
				},
				{
					// Japan
					type: "bar", // Werte: "line" || "bar"
					column_yValues: 51, // Spalten-Nr. AZ
					hidden: false,
					backgroundColor: colorObj.japan,
					borderColor:	 colorObj.japan
				},
				{
					// Kanada
					type: "bar", // Werte: "line" || "bar"
					column_yValues: 52, // Spalten-Nr. BA
					hidden: false,
					backgroundColor: colorObj.kanada,
					borderColor:	 colorObj.kanada
				},
				{
					// USA
					type: "bar", // Werte: "line" || "bar"
					column_yValues: 53, // Spalten-Nr. BB
					hidden: false,
					backgroundColor: colorObj.usa,
					borderColor:	 colorObj.usa
				}
			]
		}
	],
	colors: [
		{
			backgroundColor:	'#7fcfee', // männlich
			borderColor:		'#7fcfee'  // männlich
		},
		{
			backgroundColor:	'rgb(225, 0, 123)', // weiblich
			borderColor:		'rgb(225, 0, 123)'  // weiblich
		},
		{
			backgroundColor:	'rgb(255, 213, 49)', // gesamt
			borderColor:		'rgb(255, 213, 49)'  // gesamt
		},
		{
			backgroundColor:	'rgb(255, 213, 49)', // gesamt
			borderColor:		'rgb(255, 213, 49)'  // gesamt
		},
		{
			backgroundColor:	'rgb(255, 213, 49)', // gesamt
			borderColor:		'rgb(255, 213, 49)'  // gesamt
		},
		{
			backgroundColor:	'rgb(255, 213, 49)', // gesamt
			borderColor:		'rgb(255, 213, 49)'  // gesamt
		},
		{
			backgroundColor:	'rgb(255, 213, 49)', // gesamt
			borderColor:		'rgb(255, 213, 49)'  // gesamt
		},
		{
			backgroundColor:	'rgb(255, 213, 49)', // gesamt
			borderColor:		'rgb(255, 213, 49)'  // gesamt
		}
	],
	watchmode: 'single', // Werte: 'single' || 'compare'
	watchmode_resetOnToggle: false, // Werte: true (default) || false
	watchmode_openFirstAvailableChartOnCompareMode: false, // Werte: true || false (default); watchmode_resetOnToggle muss false sein!
	watchmode_resetAlwaysOnSingleMode: true, // default: true
	ml_pointRadius_rwd: {'xs':2, 'sm':3, 'md':4, 'lg':5},
	ml_label_fontStyle: 'bold' // [optional] default: 'normal', @type:string, Schrift-Stil der Achsen-Beschriftung. Werte: 'normal', 'bold', 'italic', 'oblique'
};